### Function

# Gtk show_uri_full_finish

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_show_uri_full_finish (
      GtkWindow* parent,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the `gtk_show_uri()` call and returns the result of the operation.

Deprecated since: 4.10

Use `gtk_file_launcher_launch()` or `gtk_uri_launcher_launch()` instead.

#### Parameters

`parent`

  Type: `GtkWindow`

  The `GtkWindow` passed to gtk_show_uri().

  The data is owned by the caller of the function.

`result`

  Type: `GAsyncResult`

  `GAsyncResult` that was passed to `callback`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the URI was shown successfully. Otherwise, `FALSE` is returned and `error` is set.